using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp4
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string k = Console.ReadLine();
            int N = int.Parse(k.Split(' ')[0]);
            int L = int.Parse(k.Split(' ')[1]);
            int[] A = new int[N];
            string t = Console.ReadLine();
            int p = 0;
            for(int i = 0;i < N; i++)
            {
                A[i] = int.Parse(t.Split(' ')[i]);
                if (A[i] <= L)
                {
                    Console.WriteLine(i+1);
                    p = 1;
                    break;
                }
            }
            if(p==0)
            {
                Console.WriteLine(-1);
            }
            Console.Read();

        }
    }
}